
D4Science Infrastructure - Task #5393

Deploy service + endpoint

Oct 04, 2016 04:33 PM - Denis Pyriochos

Status: Closed Start date: Oct 04, 2016

Priority: Urgent Due date:  

Assignee: Kostas Kakaletris % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version:    

Infrastructure: Pre-Production   

Description

1. We need the service named

org.gcube.data-access.simul-fish-growth-data.1.0

integrated at 4.1, to be deployed as a webapp (servlet).

1. We need an endpoint for this service, named SimulFishGrowthData.

Related issues:

Related to D4Science Infrastructure - Task #5396: Endpoint access - SimulFish... Closed Oct 04, 2016

Related to D4Science Infrastructure - Task #5398: Endpoint access - SimulFish... Closed Oct 04, 2016

Related to D4Science Infrastructure - Task #5397: Endpoint access - SimulFish... Closed Oct 04, 2016

History

#1 - Oct 04, 2016 04:39 PM - Denis Pyriochos

- Related to Task #5396: Endpoint access - SimulFishGrowthData added

#2 - Oct 04, 2016 04:39 PM - Denis Pyriochos

- Related to Task #5398: Endpoint access - SimulFishGrowthData added

#3 - Oct 04, 2016 04:40 PM - Denis Pyriochos

- Related to Task #5397: Endpoint access - SimulFishGrowthData added

#4 - Oct 04, 2016 04:44 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#5 - Oct 10, 2016 06:30 PM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from Roberto Cirillo to Kostas Kakaletris

- % Done changed from 0 to 30

I've created in preproduction environment the new ServiceEndpoint under the scope /gcube/preprod.

You could see it here: https://pre.d4science.org/infrastructure-monitor

I'm going to assign this task to Kostas because the new service instance will be deployed @NKUA

#6 - Oct 11, 2016 05:13 PM - Roberto Cirillo

I've added the ServiceEndpoint to the following VREs in preproduction environment:

/gcube/preprod/preVRE

/gcube/preprod/Dorne

 Now, it's need to deploy an instance of the service in the VREs above
https://support.d4science.org/issues/5176
https://pre.d4science.org/infrastructure-monitor


#7 - Oct 11, 2016 06:49 PM - Kostas Kakaletris

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

The Access Fish Growth Simulation Data service is deployed on dl20.di.uoa.gr under the following VREs

1) /gcube/preprod/preVRE

2) /gcube/preprod/Dorne

#8 - Nov 24, 2016 03:38 PM - Pasquale Pagano

- Target version deleted (gCube related support)
